API bugs that need workarounds in foreman-ansible-modules

08/22/2019 06:41 AM - Evgeni Golov

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

This is a tracker for bugs we found while working on foreman-ansible-modules

Related issues:

Related to Katello - Bug #27590: Content Uploads API expects the content_uplo... Closed

Related to Katello - Bug #27538: Organization update API documents organizati... New

Related to Katello - Bug #27575: Subscription index API says the organization... Closed

Related to Katello - Bug #27527: Subscription upload API says the expected ty... Rejected

Related to Katello - Bug #27532: sync_plan apidoc for add and_ remove_product... Closed

Related to Foreman - Bug #10359: API doc for /api/v2/locations does not menti... Closed

Related to Katello - Bug #27673: Repository Set API lists input paramter "id"... New

Related to Foreman Remote Execution - Bug #19086: option to add remote execut... Duplicate

Related to Foreman - Bug #26937: Failure to remove parent location (with nest... New

Related to Foreman - Bug #27722: os_default_templates can't be searched New

Related to Foreman - Feature #27544: Hosts and Hostgroups API endpoints don't... Closed

Related to Katello - Bug #27632: Activation Key create API is lacking paramet... Closed

Related to Katello - Feature #24669: RFE: Support 'check_manifest' API endpoi... New

Related to Foreman - Bug #28554: Compute Resources API is missing a test_conn... New

Related to Katello - Bug #28555: enabling a repository set without providing ... New

Related to Katello - Bug #28644: inconsistent repository enabled state for RH... Closed

Related to Foreman - Bug #29066: API call api/compute_resources/:id/images?op... Rejected

Related to OpenSCAP - Bug #29403: deleting a scap content returns the full XM... New

Related to OpenSCAP - Bug #29409: scap_file content get whitespace stripped New

Related to Templates - Bug #29534: Changing taxonomy does not report changed=... New

Related to Ansible - Bug #29583: Remove Org/Locs from Ansible roles API docum... New

Related to Katello - Bug #30908: Content View Filter Rule controller does not... New

Related to Foreman Remote Execution - Bug #30651: Remote Execution Capsules a... Closed

Related to Foreman - Bug #31296: Document host import from compute resource v... New

Related to Katello - Refactor #31300: the user shouldn't have to specify the ... New

Related to Foreman - Bug #31311: not possible to update interfaces in POST /a... Closed

Related to Foreman - Bug #31429: nic delay not present in API responses Closed

Related to Foreman - Bug #31521: make /api/statuses output more structured da... Closed

Related to Katello - Bug #31714: Katello should not call LCEs "environment" i... New

Related to Foreman - Bug #31874: API uses cluster_id inconsistently New

Related to Foreman - Bug #31883: "HTTP response code is 404. The response bod... Closed

Related to Foreman - Bug #32501: Users should not have to pass image_id as pa... New

Related to Foreman - Bug #32541: Host creation API "overwrite" parameter is n... Closed

Related to Katello - Bug #35633: Activation Keys "product_content" API doesn'... Closed

Related to Katello - Bug #35687: Can't edit the `ignore_types` of an Organiza... Closed

Related to Katello - Bug #36497: Can't remove GPG and SSL Keys from existing ... Closed
History

#1 - 08/22/2019 06:42 AM - Evgeni Golov

- Related to Bug #27590: Content Uploads API expects the content_upload id as an Integer, while it is a String (UUID) added

#2 - 08/22/2019 06:42 AM - Evgeni Golov

- Related to Bug #27538: Organization update API documents organization as required, while it is not. added

#3 - 08/22/2019 06:42 AM - Evgeni Golov

- Related to Bug #27575: Subscription index API says the organization_id is required, while it is not added

#4 - 08/22/2019 06:42 AM - Evgeni Golov

- Related to Bug #27527: Subscription upload API says the expected type of the manifest shall be string added

#5 - 08/22/2019 06:43 AM - Evgeni Golov

- Related to Bug #27532: sync_plan apidoc for add and_ remove_products is missing required organization_id added

#6 - 08/22/2019 06:44 AM - Evgeni Golov

- Project changed from Katello to Foreman

- Subject changed from Katello API bugs that need workarounds in foreman-ansible-modules to API bugs that need workarounds in

foreman-ansible-modules

- Category changed from API to API

#7 - 08/22/2019 06:44 AM - Evgeni Golov

- Related to Bug #10359: API doc for /api/v2/locations does not mention organizations added

#8 - 08/22/2019 06:44 AM - Evgeni Golov

- Related to Bug #27673: Repository Set API lists input paramter "id" as number, which potentially excludes Candlepin content id values added

#9 - 08/22/2019 06:45 AM - Evgeni Golov

- Related to Bug #19086: option to add remote execution proxy to a subnet is not shown in apidoc added

#10 - 08/23/2019 02:20 PM - Evgeni Golov

- Related to Bug #26937: Failure to remove parent location (with nested one) is not correctly reported added

#11 - 08/28/2019 09:23 AM - Evgeni Golov

- Related to Bug #27722: os_default_templates can't be searched added

#12 - 09/02/2019 09:17 AM - Baptiste Agasse

Evgeni, I think you can you can also add #27544

#13 - 09/02/2019 12:09 PM - Evgeni Golov

- Related to Feature #27544: Hosts and Hostgroups API endpoints don't provide parameter_type and hidden_value support added

#14 - 09/04/2019 12:13 PM - Evgeni Golov

- Related to Bug #27632: Activation Key create API is lacking parameters that are possible during update added

#15 - 12/13/2019 02:27 PM - Evgeni Golov

- Related to Feature #24669: RFE: Support 'check_manifest' API endpoint - Manifest upload cannot be idempotent added

#16 - 12/20/2019 10:07 AM - Evgeni Golov

- Related to Bug #28554: Compute Resources API is missing a test_connection endpoint added

#17 - 12/20/2019 01:46 PM - Evgeni Golov

- Related to Bug #28555: enabling a repository set without providing a basearch yields unexpected results added
#18 - 01/06/2020 10:11 AM - Evgeni Golov

- Related to Bug #28644: inconsistent repository enabled state for RHEL8 repository sets in the API added

#19 - 02/28/2020 01:31 PM - Evgeni Golov

- Related to Bug #29066: API call api/compute_resources/:id/images?operatingsystem_id=:id returns too many results added

#20 - 03/24/2020 02:03 PM - Evgeni Golov

- Related to Bug #29403: deleting a scap content returns the full XML in the http body added

#21 - 03/25/2020 02:27 PM - Evgeni Golov

- Related to Bug #29409: scap_file content get whitespace stripped added

#22 - 04/15/2020 12:22 PM - Anton Nesterov

- Related to Bug #29534: Changing taxonomy does not report changed=true added

#23 - 04/21/2020 10:47 AM - Evgeni Golov

- Related to Bug #29583: Remove Org/Locs from Ansible roles API documentation added

#24 - 09/24/2020 09:25 AM - Evgeni Golov

- Related to Bug #30908: Content View Filter Rule controller does not support the same parameters for CREATE and UPDATE added

#25 - 09/30/2020 09:01 AM - Evgeni Golov

- Related to Bug #30651: Remote Execution Capsules are not listed when querying the subnet using API and hammer. added

#26 - 11/11/2020 09:23 AM - Anton Nesterov

- Related to Bug #31296: Document host import from compute resource via API added

#27 - 11/11/2020 10:42 AM - Evgeni Golov

- Related to Refactor #31300: the user shouldn't have to specify the file size when uploading chunks added

#28 - 11/12/2020 02:47 PM - Evgeni Golov

- Related to Bug #31311: not possible to update interfaces in POST /api/hosts/:host_id added

#29 - 12/02/2020 09:19 AM - Evgeni Golov

- Related to Bug #31429: nic delay not present in API responses added

#30 - 12/16/2020 12:11 PM - Evgeni Golov

- Related to Bug #31521: make /api/statuses output more structured data about plugins added

#31 - 01/25/2021 10:48 AM - Evgeni Golov

- Related to Bug #31714: Katello should not call LCEs "environment" in the API added

#32 - 02/15/2021 02:33 PM - Evgeni Golov

- Related to Bug #31874: API uses cluster_id inconsistently added

#33 - 02/16/2021 08:23 AM - Evgeni Golov

- Related to Bug #31883: "HTTP response code is 404. The response body is empty." when trying to view an oVirt Compute Resource added

#34 - 02/22/2021 01:22 PM - Evgeni Golov

- Assignee deleted (Evgeni Golov)

#35 - 05/04/2021 09:59 AM - Evgeni Golov

- Related to Bug #32501: Users should not have to pass image_id as part of compute_attributes when creating a host via API added

#36 - 05/06/2021 10:25 AM - Evgeni Golov

- Related to Bug #32541: Host creation API "overwrite" parameter is not documented added
#37 - 10/14/2022 08:31 AM - Evgeni Golov

- Related to Bug #35633: Activation Keys "product_content" API doesn't expose the "per_page" parameter added

#38 - 10/28/2022 11:44 AM - Evgeni Golov

- Related to Bug #35687: Can't edit the `ignore_types` of an Organization added

#39 - 06/09/2023 11:19 AM - Evgeni Golov

- Related to Bug #36497: Can't remove GPG and SSL Keys from existing Product using the API added
